Skip to main content
POST
Get unit group details by UUIDs

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required

Body

application/json
unitGroupUuids
string<uuid>[]
required

Array of unit group UUIDs to retrieve details for

Example:

Response

Unit group details retrieved

unitGroupUuid
string
required

Unit group UUID

Example:

"1234567890"

description
string
required

Unit group description

Example:

"10x10x10"

amenities
object[]
required

Array of amenities from entityAttributeUnitGroup

Example:
numUnits
number
required

Total count of units in the group

Example:

10

numVacantUnits
number
required

Total count of vacant units in the group

Example:

5

streetRateInPennies
number
required

Current street rate in pennies

Example:

15000

webRateInPennies
number
required

Current web rate in pennies

Example:

12000

canShowUnitGroupTenantPortal
boolean
required

Whether the unit group is visible in the tenant portal

Example:

true

length
number | null

Unit depth (length)

Example:

10.5

width
number | null

Unit width

Example:

10.5

height
number | null

Unit height

Example:

10.5

unitTypeUuid
string<uuid> | null

Unit type UUID (entityAttributeOrganizationUuid)

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

unitTypeDescription
string | null

Unit type description from entity attribute organization

Example:

"Climate Controlled"

averageCurrentRentInPennies
number | null

Average current rent in pennies for occupied units in the group

Example:

145.5